OnlyFans API
OnlyFansSmart Links

List Smart Link Pixels

List ad platform pixels connected to a Smart Link

GET
/api/smart-links/{smart_link_id}/pixels
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

smart_link_id*string

The Smart Link ULID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/smart-links/01JTESTLINK000000000000001/pixels"
{
  "data": [
    {
      "id": 123,
      "platform": "meta",
      "platform_label": "Meta Ads",
      "label": "Main Meta Pixel",
      "pixel_id": "1234567890",
      "event_source_url": "https://example.com/prelander",
      "event_click": "ViewContent",
      "event_new_subscriber": "Subscribe",
      "event_first_transaction": "Purchase",
      "event_new_transaction": "Purchase",
      "event_message_received_from_fan": null,
      "event_fan_sent_1_message": "Contact",
      "event_fan_sent_3_messages": "Lead",
      "status": "healthy",
      "created_at": "2026-07-24T08:00:00+00:00",
      "updated_at": "2026-07-24T08:00:00+00:00"
    }
  ],
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 999999,
      "note": "Free endpoint"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    }
  }
}